import net.NetworkManager;

public class Main {
	
	private static String URL;
	private static int PORT;
	
	public Main() {
		NetworkManager.getInstance().Initialize(URL, PORT);
	}
	
	public static void main(String[] args) {
		if (args.length % 2 != 0) {
			System.out.println("Error: malformed arguments.");
			System.exit(1);
			return;
		}
		
		for (int i = 0; i < args.length; i += 2) {
			switch (args[i]) {
			
				case "--url":
				case "-u":
					URL = args[i+1];
					break;
			
				case "--port":
				case "-p":
					PORT = Integer.parseInt(args[i+1]);
					break;
					
				default:
					System.out.println("Unknown argument: " + args[i]);
					break;
			
			}
		}
		
		if (URL == null) {
			System.out.println("Missing argument --url");
			System.exit(1);
		}
		if (PORT == 0) {
			System.out.println("Missing argument --port");
			System.exit(1);
		}
		
		new Main();
	}
}
